Bug 231927 - sysutils/fusefs-wdfs: abandonware, feature-incomplete, does not work with Yandex.Disk
Summary: sysutils/fusefs-wdfs: abandonware, feature-incomplete, does not work with Yan...
Status: Closed Feedback Timeout
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-03 21:26 UTC by Alexey Dokuchaev
Modified: 2018-11-07 08:28 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Dokuchaev freebsd_committer 2018-10-03 21:26:11 UTC
The project looks dead upstream (this port was removed back in 2015 but resurrected) and does not work on fresh -CURRENT with Yandex.Disk.  It can seemingly mount it but to no avail:
> # kldstat -qm fuse || kldload fuse
> # wdfs https://webdav.yandex.ru /mnt/yadisk -o username=...
> # ls -l /mnt/yadisk/
> total 0
> ls: /mnt/yadisk/: Input/output error
> # ls -l /mnt/yadisk/
> total 0
> ls: /mnt/yadisk/: Device not configured

If run with -D option (enable debug output), it hangs after wdfs_init() call.  Alternative software (Nautilus, www/cadaver) work just fine with the same Yandex.Disk.

It was also reported that it has problems with caching: it works fine with small files, but with large files (e.g. heavy HD-rips) it would quickly lock up the system: https://2gusia.livejournal.com/50639.html?thread=1888207#t1888207

Apart from being abandonware, it is also functionally incomplete (see bug #187485 about inability to create files on mounted via fusefs-wdfs web-dav shares).  It should either be fixed or deprecated and removed from the Ports Collection.
Comment 1 Bugzilla Automation freebsd_committer 2018-10-03 21:26:11 UTC
Maintainer informed via mail
Comment 2 commit-hook freebsd_committer 2018-11-03 17:45:51 UTC
A commit references this bug:

Author: danfe
Date: Sat Nov  3 17:44:51 UTC 2018
New revision: 483904
URL: https://svnweb.freebsd.org/changeset/ports/483904

Log:
  Deprecate: the project looks dead upstream, functionally incomplete, has
  problems with caching, does not work with Yandex.Disk; give three months
  of expiration time.

  Consumers are advised to use `www/cadaver' or try to port `fusefs-davfs2'
  instead (http://savannah.nongnu.org/projects/davfs2).

  Approved by:	maintainer (1 month timeout)
  PR:		187485, 231927

Changes:
  head/sysutils/fusefs-wdfs/Makefile
Comment 3 Alexey Dokuchaev freebsd_committer 2018-11-07 08:27:59 UTC
Port deprecated in ports r483904 (no feedback), closing.